extends Node

class_name GameInstance

onready var ui = $CanvasLayer/ui
onready var lighting = $CanvasLayer/sslo
onready var world = $world
onready var systems = $systems

func _ready():
	ui.connect("command", world, "process_command")
	world.initiate()

func process_command(cmd: UICommand):
	match cmd.cmd_type:
		UICommand.CommandType.SetShipSpeed:
			world.map.ship_speed = cmd.cmd_args[0]
		UICommand.CommandType.SetShipDirection:
			world.map.ship_direction = cmd.cmd_args[0]
